- Qt 5.15
- Qt Sensors
- C++ Classes
- QAltimeterReading
- Qt 5.15.11 Reference Documentation

# QAltimeterReading Class

The QAltimeterReading class holds readings from the altimeter sensor. More...

Header: | #include <QAltimeterReading>
qmake: | QT += sensors
Since: | Qt 5.1
Inherits: | QSensorReading

This class was introduced in Qt 5.1.

- List of all members, including inherited members

## Properties

- altitude : const qreal

## Public Functions

qreal | altitude() const
void | setAltitude(qreal altitude)

## Detailed Description

The altitude is reported in meters relative to mean sea level.

## Property Documentation

### altitude : const qreal

This property holds the altitude in meters relative to mean sea level.

Access functions:

qreal | altitude() const

## Member Function Documentation

### void QAltimeterReading::setAltitude(qreal altitude)

Sets the altitude to altitude.

See also altitude().